package com.chinaitop.depot.intelligent.weather.model;

import java.math.BigDecimal;
import java.util.Date;

public class TWertherinfo {
    private String id;

    private String orgId;

    private String sitecode;

    private String vqxzcode;

    private String vqxzname;

    private BigDecimal ftemp;

    private BigDecimal fhumi;

    private BigDecimal fwinds;

    private BigDecimal fwindd;

    private BigDecimal fpressure;

    private BigDecimal frain;

    private Date updatetime;

    private String dataSource;

    private String remark;

    private Integer delFlag;

    /**
     * 32位唯一 气象站数据
     * @return id 32位唯一 气象站数据
     */
    public String getId() {
        return id;
    }

    /**
     * 32位唯一 气象站数据
     * @param id 32位唯一 气象站数据
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 库房id
     * @return org_id 库房id
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 库房id
     * @param orgId 库房id
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 站点编号
     * @return sitecode 站点编号
     */
    public String getSitecode() {
        return sitecode;
    }

    /**
     * 站点编号
     * @param sitecode 站点编号
     */
    public void setSitecode(String sitecode) {
        this.sitecode = sitecode == null ? null : sitecode.trim();
    }

    /**
     * 气象站编号
     * @return vqxzcode 气象站编号
     */
    public String getVqxzcode() {
        return vqxzcode;
    }

    /**
     * 气象站编号
     * @param vqxzcode 气象站编号
     */
    public void setVqxzcode(String vqxzcode) {
        this.vqxzcode = vqxzcode == null ? null : vqxzcode.trim();
    }

    /**
     * 气象站名
     * @return vqxzname 气象站名
     */
    public String getVqxzname() {
        return vqxzname;
    }

    /**
     * 气象站名
     * @param vqxzname 气象站名
     */
    public void setVqxzname(String vqxzname) {
        this.vqxzname = vqxzname == null ? null : vqxzname.trim();
    }

    /**
     * 温度
     * @return ftemp 温度
     */
    public BigDecimal getFtemp() {
        return ftemp;
    }

    /**
     * 温度
     * @param ftemp 温度
     */
    public void setFtemp(BigDecimal ftemp) {
        this.ftemp = ftemp;
    }

    /**
     * 湿度
     * @return fhumi 湿度
     */
    public BigDecimal getFhumi() {
        return fhumi;
    }

    /**
     * 湿度
     * @param fhumi 湿度
     */
    public void setFhumi(BigDecimal fhumi) {
        this.fhumi = fhumi;
    }

    /**
     * 风速
     * @return fwinds 风速
     */
    public BigDecimal getFwinds() {
        return fwinds;
    }

    /**
     * 风速
     * @param fwinds 风速
     */
    public void setFwinds(BigDecimal fwinds) {
        this.fwinds = fwinds;
    }

    /**
     * 风向(正北 0°正东 90° 正南180° 正西 270°)
     * @return fwindd 风向(正北 0°正东 90° 正南180° 正西 270°)
     */
    public BigDecimal getFwindd() {
        return fwindd;
    }

    /**
     * 风向(正北 0°正东 90° 正南180° 正西 270°)
     * @param fwindd 风向(正北 0°正东 90° 正南180° 正西 270°)
     */
    public void setFwindd(BigDecimal fwindd) {
        this.fwindd = fwindd;
    }

    /**
     * 气压
     * @return fpressure 气压
     */
    public BigDecimal getFpressure() {
        return fpressure;
    }

    /**
     * 气压
     * @param fpressure 气压
     */
    public void setFpressure(BigDecimal fpressure) {
        this.fpressure = fpressure;
    }

    /**
     * 降雨量/是否降雨 根据实际情况
     * @return frain 降雨量/是否降雨 根据实际情况
     */
    public BigDecimal getFrain() {
        return frain;
    }

    /**
     * 降雨量/是否降雨 根据实际情况
     * @param frain 降雨量/是否降雨 根据实际情况
     */
    public void setFrain(BigDecimal frain) {
        this.frain = frain;
    }

    /**
     * 更新时间
     * @return updatetime 更新时间
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 更新时间
     * @param updatetime 更新时间
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    /**
     * 数据来源
     * @return data_source 数据来源
     */
    public String getDataSource() {
        return dataSource;
    }

    /**
     * 数据来源
     * @param dataSource 数据来源
     */
    public void setDataSource(String dataSource) {
        this.dataSource = dataSource == null ? null : dataSource.trim();
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 删除标志（0：删除，1：未删除）
     * @return del_flag 删除标志（0：删除，1：未删除）
     */
    public Integer getDelFlag() {
        return delFlag;
    }

    /**
     * 删除标志（0：删除，1：未删除）
     * @param delFlag 删除标志（0：删除，1：未删除）
     */
    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}